#!/usr/bin/env pyth/n
# -*- coding: utf8 -*-
'''

Learning with Naive Bayes (using WEKA; see documentation for
weka.classifiers.bayes.NaiveBayes,
http://weka.sourceforge.net/doc/weka/classifiers/bayes/NaiveBayes.html)

This is part of FRaC.

Copyright © 2010 Keith Noto.  Disributed under Gnu General Public License (see http://www.gnu.org/licenses/gpl.html).

'''
__author__ = "Keith Noto <noto@cs.tufts.edu>";
__license__ = "GPL";
__copyright__ = "Copyright © 2010 Keith Noto";
VERSION = __revision__ = "1.0";

import weka

class Learner(weka.Learner):
	def __init__(self, clean=True):
		weka.Learner.__init__(self, tcmd="weka.classifiers.bayes.NaiveBayes", pcmd="weka.classifiers.bayes.NaiveBayes", clean=clean) 
	def classifier():
		return True # this model can only be used as a classifier (not a regression model)
