# file storage locations for supervised learners and models

# participating supervised learners will use storage.tmp to store temporary
# files (like the svm.Learner needs a place to write a LIBSVM-format training
# file so it can call svm-train via the shell), and use storage.cache to write
# model files (which are named in such a way that if the process is run again,
# the same learned model may be reused).

import tempfile

tmp  = tempfile.gettempdir()   # directory for temporary files (i.e. trainset and testset files)
cache = tempfile.gettempdir()  # directory for cached model files
